# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gdsapi/version'

Gem::Specification.new do |spec|
  spec.name          = "gdsapi-v2-ruby"
  spec.version       = Gdsapi::VERSION
  spec.authors       = ["Mike Yurchenkov"]
  spec.email         = ["mikesehse@gmail.com"]

  spec.summary       = %q{Driver for API.GDS.BUSFOR v2}
  spec.homepage      = "https://busfor.ru"
  spec.license       = "MIT"


  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ["lib"]
  spec.add_dependency "json", ">= 1.8"
  spec.add_dependency "dry-struct", "= 0.3"
  spec.add_dependency "dry-types", "= 0.11"
  spec.add_dependency "faraday", ">= 0.9"


  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.6"
  spec.add_development_dependency "webmock", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.49"
  spec.add_development_dependency "faraday", ">= 0.9"
end
